Prediction API Keys
Authorizations
Body
exchangeIdstringRequired
Exchange ID
namestringOptional
API key name (optional)
funderAddressstringRequired
Funder wallet address
walletPrivateKeystringRequired
Wallet private key
Responses
201
API key created successfully
application/json
400
Missing required fields, invalid name, or invalid credentials
application/json
404
Exchange not found
application/json
post
/api/v2/api/predictionNo content
Authorizations
Path parameters
idstringRequired
Query parameters
pageintegerRequired
limitintegerRequired
Responses
200
Paginated list of prediction signal bots
application/json
totalintegerOptional
dataPredictionSignalBot[]Optional
400
Missing required parameters
application/json
get
/api/v2/api/prediction/bot/signal/{id}Authorizations
Path parameters
idstringRequired
Body
statusstring · enumRequiredPossible values:
Responses
200
Status updated successfully
application/json
anyOptional
400
Missing id, invalid status, or status already set
application/json
404
API key not found
application/json
put
/api/v2/api/prediction/{id}/statusNo content
Authorizations
Path parameters
idstringRequired
Responses
200
API key deleted successfully
application/json
stringOptionalExample:
Deleted400
Missing API ID
application/json
404
API key not found
application/json
409
API key is in use by signal bots
application/json
delete
/api/v2/api/prediction/{id}Authorizations
Body
exchangeIdstringRequired
Exchange ID
funderAddressstringRequired
Funder wallet address
walletPrivateKeystringRequired
Wallet private key
publicKeystringRequired
Public API key
secretKeystringRequired
Secret API key
extrastringOptional
Extra credentials (if required)
Responses
200
API credentials are valid
application/json
booleanOptionalExample:
true400
Missing required fields, invalid credentials, or exchange not found
application/json
post
/api/v2/api/prediction/testLast updated